org.jbpm.process.audit.command

## Class FindProcessInstanceCommand

- java.lang.Object
- - org.jbpm.process.audit.command.AuditCommand<ProcessInstanceLog>
  - - org.jbpm.process.audit.command.FindProcessInstanceCommand

- All Implemented Interfaces:
    Serializable, org.drools.core.command.impl.ExecutableCommand<ProcessInstanceLog>, org.kie.api.command.Command<ProcessInstanceLog>, org.kie.internal.command.ProcessInstanceIdCommand

      public class FindProcessInstanceCommand
      extends AuditCommand<ProcessInstanceLog>
      implements org.kie.internal.command.ProcessInstanceIdCommand

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.process.audit.command.AuditCommand

      `auditLogService`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FindProcessInstanceCommand()`
    `FindProcessInstanceCommand(long processInstanceId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ProcessInstanceLog` | `execute(org.kie.api.runtime.Context cntxt)`
    `Long` | `getProcessInstanceId()`
    `void` | `setProcessInstanceId(Long processInstanceId)`
    `String` | `toString()`

    - ### Methods inherited from class org.jbpm.process.audit.command.AuditCommand

      `setAuditLogService, setLogEnvironment`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.drools.core.command.impl.ExecutableCommand

      `canRunInTransaction`

- - ### Constructor Detail

    - #### FindProcessInstanceCommand

          public FindProcessInstanceCommand()

    - #### FindProcessInstanceCommand

          public FindProcessInstanceCommand(long processInstanceId)

  - ### Method Detail

    - #### execute

          public ProcessInstanceLog execute(org.kie.api.runtime.Context cntxt)

      Specified by:
        `execute` in interface `org.drools.core.command.impl.ExecutableCommand<ProcessInstanceLog>`

    - #### getProcessInstanceId

          public Long getProcessInstanceId()

      Specified by:
        `getProcessInstanceId` in interface `org.kie.internal.command.ProcessInstanceIdCommand`

    - #### setProcessInstanceId

          public void setProcessInstanceId(Long processInstanceId)

      Specified by:
        `setProcessInstanceId` in interface `org.kie.internal.command.ProcessInstanceIdCommand`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2001–2018 JBoss by Red Hat. All rights reserved.